# Test Webhook

Test a webhook.

Endpoint: POST /api/v1/webhooks/test
Version: 0.2.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `url` (string, required)
    The URL of the webhook endpoint.

  - `events` (array)
    The event types that will trigger the webhook. If none is provided, the webhook will be tested for enriched transaction state update events.

## Response 204:

  - `204` (unknown)
    Successful Response

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

  - `error_type` (string)
    Enum: "http_error", "server_disconnected", "timeout", "client_connection_error", "unexpected_error"

## Response 401:

  - `401` (unknown)
    Unauthorized User

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403:

  - `403` (unknown)
    Forbidden User

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 408:

  - `408` (unknown)
    Request Timeout

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 429:

  - `429` (unknown)
    Rate Limit Exceeded

## Response 500:

  - `500` (unknown)
    Unexpected Error

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Callback:

  - `webhook_event` (unknown)
    Webhook Event

## Callback request fields (application/json):

  - `webhook_id` (string, required)

  - `created_at` (string, required)
    The time of the webhook event creation in UTC.

  - `event_id` (string, required)
    The unique ID of this event.

  - `attempt` (integer, required)
    The attempt number of this event.

  - `sent_at` (string, required)
    The time the current event was sent in UTC.

  - `organization_id` (string, required)
    The unique identifier of the organization the audit log record belongs to.

  - `organization_name` (string, required)
    The name of the organization the audit log record belongs to.

  - `event` (object, required)

  - `event.id` (string, required)
    The unique identifier of the object in the Fordefi platform.

  - `event.timestamp` (string, required)
    The timestamp of the audit log record.

  - `event.request_id` (string, required)
    The request ID of the audit log record.

  - `event.category` (string, required)
    Enum: "policy", "quorum_threshold", "user_management", "vaults", "address_book", "address_group", "backup", "webhook", "vault_group", "user_group", "aml_policy", "chains", "device_backup", "import_keys", "authentication", "dapp_group", "organization_lockdown", "rewards", "screening"

  - `event.action` (string, required)
    The action of the audit log record.

  - `event.created_by` (any, required)
    Represents a reference to a user in the Fordefi platform

  - `event.created_by.id` (string, required)
    The unique identifier of the user in the Fordefi platform.

  - `event.created_by.user_type` (string, required)
    The type of the user.

  - `event.created_by.name` (string, required)
    The name of the user.

  - `event.created_by.state` (string, required)
    The state of the user.
    Enum: "active", "onboarding_pending_code_generation", "onboarding_pending_activation", "deleted"

  - `event.created_by.state` (string, required)
    The state of the user. Is one of: `active`: The user can perform all actions in the Fordefi platform.`pending_approval`: The user creation is awaiting admin-quorum approval.`onboarding_pending_activation`: The user is approved and awaiting token activation.`deleted`: The user has been deleted.
    Enum: "active", "pending_approval", "onboarding_pending_activation", "deleted"

  - `event.created_by.role` (string, required)
    Enum: "admin", "trader", "viewer"

  - `event.created_by.activated_at` (string)
    When the api user was activated and its access token was issued.

  - `event.created_by.external_id` (string, required)
    External id of the user.
    Example: user|1234

  - `event.created_by.user_type` (string, required)
    The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.

  - `event.created_by.email` (string, required)
    The email of the user.

  - `event.created_by.state` (string, required)
    Enum: "active", "onboarding_pending_code_generation", "onboarding_pending_activation", "reset_device_pending_code_generation", "reset_device_pending_activation", "pending_approval", "deleted"

  - `event.created_by.name` (string, required)
    The name is Fordefi CARE

  - `event.description` (string, required)
    The description of the audit log record.

  - `event.client_ip` (string, required)
    The client IP of the audit log record.

  - `event_type` (string, required)
    The type of the event.

## Callback response 200:

  - `200` (unknown)
    Successful Response

## Callback response 422:

  - `422` (unknown)
    Validation Error

